/*
 * Copyright (C) CNRS, INRIA, Université Bordeaux 1, Télécom SudParis
 * See COPYING in top-level directory.
 */

#ifndef __starpu_EV_CODES_H__
#define __starpu_EV_CODES_H__

/* This file defines the event codes that are used by the example
 * module.
 */
#include "ev_codes.h"

/* 7-bits event codes prefix. This identifies the module and thus should be
 * unique.
 * The 0x0? prefix is reserved for eztrace internal use. Thus you can
 * use any prefix between 0x80 and 0xff.
 */
#define starpu_EVENTS_ID    0x10
#define EZTRACE_STARPU_EVENTS_ID SYSTEM_MODULE_ID(starpu_EVENTS_ID)
#define starpu_PREFIX       GENERATE_SYSTEM_MODULE_PREFIX(EZTRACE_STARPU_EVENTS_ID)

/* Define various event codes used by the example module
 * The 2 most significant bytes should correspond to the module id,
 * as below:
 */
#define EZTRACE_starpu__starpu_driver_start_job (starpu_PREFIX | 0x0002)
#define EZTRACE_starpu__starpu_driver_job_name (starpu_PREFIX | 0x0003)
#define EZTRACE_starpu__starpu_driver_end_job (starpu_PREFIX | 0x0004)
#define EZTRACE_starpu_starpu_task_submit_entry (starpu_PREFIX | 0x0005)
#define EZTRACE_starpu_starpu_task_submit_name (starpu_PREFIX | 0x0006)
#define EZTRACE_starpu_starpu_task_submit_exit (starpu_PREFIX | 0x0007)
#define EZTRACE_starpu_starpu_task_wait_for_all_entry (starpu_PREFIX | 0x0008)
#define EZTRACE_starpu_starpu_task_wait_for_all_exit (starpu_PREFIX | 0x0009)
#define EZTRACE_starpu_callback_func_entry (starpu_PREFIX | 0x000a)
#define EZTRACE_starpu_callback_func_exit (starpu_PREFIX | 0x000b)
#define EZTRACE_starpu__starpu_deque_pop_task_10 (starpu_PREFIX | 0x000c)
#define EZTRACE_starpu_push_task (starpu_PREFIX | 0x000d)
#define EZTRACE_starpu_worker_restart_sleeping (starpu_PREFIX | 0x000e)
#define EZTRACE_starpu_worker_stop_sleeping (starpu_PREFIX | 0x000f)
#define EZTRACE_starpu_worker_set_status (starpu_PREFIX | 0x0010)
#define EZTRACE_starpu_worker_fetch_input_start (starpu_PREFIX | 0x0011)
#define EZTRACE_starpu_worker_fetch_input_stop (starpu_PREFIX | 0x0012)
#define EZTRACE_starpu_init (starpu_PREFIX | 0x0013)

#endif	/* __starpu_EV_CODES_H__ */
